
const fs = require('fs')
const path = require('path')
const { uppercamelcase }= require('../../src/utils/index')

function updataRegister(allComponentList) {
    let importTemplate = []
    let installTemplate = []
    let methodInstallTemplate = []
    let methodComponents = ['toast', 'actionsheet']

    allComponentList.forEach(component =>{
        importTemplate.push(`import ${uppercamelcase(component)} from './components/${component}'`)
        installTemplate.push(uppercamelcase(component))
        if(~methodComponents.indexOf(component)) {
            methodInstallTemplate.push(`Vue.use(${uppercamelcase(component)})`)
        }
    })
   

   
    
    let importStr = importTemplate.join('\n')
    let installStr = installTemplate.join(',\n ') + ','
    let methodInstallStr = methodInstallTemplate.join('\n')

    let template = `${importStr}
let componentList = [
    ${installStr}

]

export function install(Vue) {
    componentList.map(component =>{
        Vue.component(component.name, component)
    })
    ${methodInstallStr}
    
}

if(typeof window !== 'undefined' && window.Vue) {
    install(window.Vue)
}

export {
${installStr}
}
export default {
    install,
}`

        const registerFilePath = path.resolve(__dirname, '../../src/registerFile.js')

        fs.writeFileSync(registerFilePath, template)
}

module.exports = updataRegister