import Vue from 'vue';
import Actionsheet from './index.vue';

export default function createModal(data, callback) {
  const parent = document.createElement('div');
  document.body.appendChild(parent);
  return new Vue({
    el: parent,
    data() {
      return data;
    },
    methods: {
      handleSelect(value){
        // this.$emit('select', value)
        callback(false, value)
      },
      handleCancel(){
        // this.$emit('select', value)
        callback('cancel')
      }
    },
    render(h) {
      return h(
        Actionsheet, {
          props: data,
          on: {
            'select': this.handleSelect,
            'cancel': this.handleCancel
          }
        }
      );
    },
  });
};
