const path = require("path");
// const SkeletonWebpackPlugin = require('vue-skeleton-webpack-plugin')

function resolve(dir) {
  return path.join(__dirname, dir);
}

module.exports = {
	configureWebpack: {
		resolve: {
			alias: {
				// 别名
				vue$: "vue/dist/vue.esm.js", //加上这一句
				'@': resolve('src'),
				'tg-ui': path.resolve(__dirname, './')
			}
		},
		// plugins: [
		// 	new SkeletonWebpackPlugin({
		// 		webpackConfig: {
		// 			entry: {
		// 				app: resolve('./src/skeleton.js')
		// 			}
		// 		}
		// 	})
		// ]
	},

	chainWebpack: config => {
		// svg loader
		const svgRule = config.module.rule('svg') // 找到svg-loader
		svgRule.uses.clear() // 清除已有的loader, 如果不这样做会添加在此loader之后
		svgRule.exclude.add(/node_modules/) // 正则匹配排除node_modules目录
		svgRule // 添加svg新的loader处理
			.test(/\.svg$/)
			.use('svg-sprite-loader')
			.loader('svg-sprite-loader')
			.options({
				symbolId: 'icon-[name]'
			})

		// 修改images loader 添加svg处理
		const imagesRule = config.module.rule('images')
		imagesRule.exclude.add(resolve('src/icons'))
		config.module.rule('images').test(/\.(png|jpe?g|gif|svg)(\?.*)?$/)
	},

	css: {
		loaderOptions: {
			sass: {
				//引入 SCSS 全局变量,在 sass-loader v7 及以下 中，这个选项名是 "data",V8版本为 prependData, V10+是additionalData
				additionalData: `@import "@/style/index.scss";`
			},
		}
	},

	//关闭eslint校验
	lintOnSave: false,

}
